Imports InputForm.MitarbeiterDataSet

Public Class frmMain

   Private Sub Form_Load(ByVal sender As Object, ByVal e As EventArgs) Handles MyBase.Load
      Reload()
      Me.lbTimeRange.Text = String.Format("{0:d} - {0:d}", Date.Today)
   End Sub

   Private Sub Reload()
      Me.MitarbeiterDataSet.Clear()
      Me.MitarbeiterDataSet.ReadXml("MitarbeiterDataSet.xml")
      StatusInfo("Daten geladen")
   End Sub

   Private Sub Save()
      'EndEdit eigentlich unntig, da dieses Form nicht editiert
      Me.MitarbeiterDataGridView.EndEdit()
      Me.MitarbeiterBindingSource.EndEdit()
      Me.MitarbeiterDataSet.WriteXml("MitarbeiterDataSet.xml")
      StatusInfo("Daten gespeichert")
   End Sub

   Private Sub Button_Click(ByVal sender As Object, ByVal e As EventArgs) Handles _
           btInputData.Click, btDeleteData.Click, _
           btReload.Click, btSave.Click, btInputTimeRange.Click
      Select Case True
         Case sender Is btInputTimeRange
            Dim sDates As String() = Me.lbTimeRange.Text.Split("-"c)
            Dim Dates As Date() = New Date() {Date.Parse(sDates(0)), Date.Parse(sDates(1))}
            Dim Input As Date() = frmTimeRangeInput.ShowDialog(Dates)
            If Input Is Nothing Then
               StatusInfo("TimeRange bearbeiten abgebrochen")
            Else
               Me.lbTimeRange.Text = String.Format("{0:d} - {1:d}", Input(0), Input(1))
               StatusInfo("TimeRange bernommen")
            End If

         Case sender Is btInputData
            Dim [Default] As MitarbeiterRow = _
                GetRow(Of MitarbeiterRow)(Me.MitarbeiterBindingSource.Current)
            Dim Input As MitarbeiterRow = frmDataInput.ShowDialog([Default])
            If Input Is Nothing Then
               StatusInfo("Datensatz bearbeiten abgebrochen")
            Else
               [Default].ItemArray = Input.ItemArray
               StatusInfo("Datensatz bernommen")
            End If

         Case sender Is btDeleteData
            Me.MitarbeiterBindingSource.RemoveCurrent()

         Case sender Is btReload
            Reload()

         Case sender Is btSave
            Save()

      End Select
   End Sub

   ''' <summary>zur Besttigung von User-Aktionen</summary>
   ''' <remarks>etwas aufwndiger als MsgBox(), aber blockiert nicht das Programm</remarks>
   Private Sub StatusInfo(ByVal Txt As String)
      Me.StatusLabel.Text = Txt
      timResetStatusBar.Enabled = True
   End Sub

   Private Sub timResetStatusBar_Tick(ByVal sender As Object, ByVal e As EventArgs) _
           Handles timResetStatusBar.Tick
      timResetStatusBar.Enabled = False
      Me.StatusLabel.Text = ""
   End Sub

End Class
